+ - Новая возможность
- - Исправление ошибки
! - Изменение или исправление, которое может повлиять на работу 
    соответствующих подсистем и требуется тщательное тестирование

  Клиент 5.2 {$Revision$}
-----------------------------------------------------------------
--- 5.2.1230 --- 16.04.2026
+ [300892] Формы: дополнено логирование метода append() у источника данных
- [301291] Диаграммы: исправлена ошибка при смене серии с типа JS

--- 5.2.1229 --- 06.04.2026
- [300552] Отчеты xlsx: исправлена ошибка определения высоты строки с нестандартным шрифтом
+ [297456] Пакет Crypto: help и автодополнение для js-функции "decryptEnvelopedData"
- [300443] Help: добавлены описания скриптового свойство useCache и скриптового метод minFormCacheSize для фрейма
- [296304] Help: Дерево данных
           - Изменён пример использования свойства «selectChildren» у узла дерева
+ [299475] v6 dsl Объектное преставление расчетной таблицы 
+ [293804] dsl Доработка функции Debug.normalizeContent для расчетных модулей
+ [298539] dsl Доработка функции Debug.normalizeContent для Модуля данных

--- 5.2.1228 --- 17.03.2026
+ [298837] проверка ограничений на данные прикладного решения
-- [298498] Формы: Дерево
           - Для дизайнера деревьев добавлен флаг «Сохранять раскрытые узлы».
- [298711] Формы: исправлена работа с тулбаром в режиме frameMode
+ [297047] #re Пакет Crypto: N53965 - авто допонение и help для js-функций "testSign", "verifySign"

--- 5.2.1227 --- 10.03.2026
+ [298581] настройка у роли/группы кода прикладного решения
+ [298567] Формы: добавлен пункт "Индикатор меню" в настройках кнопок панели инструментов 
- [298605] BinaryObject - исправлена реализация JS метода "toBase64"
+ [297876] Help: Календарь - обновлена справка по компоненту
           Формы: Календарь - добавлено свойство для источника выходных и поля для источника, добавлены соответствующие свойства в стиль компонента
+ [297420] Help: Календарь - обновлена справка по компоненту
+ [297299] метод appendFromFile у компонента внешние файлы, обновлен хелп
- [297321] в функции normilizeContent для компонента запуска формы и отчета не кешировать параметры
- испарвлена сборка rtl
+ [296718] Диаграмма Ганта: добавлено свойство timeScale для настройки вида диаграммы через дизайнер и скрипт

--- 5.2.1226beta0 --- 24.02.2026
- испарвлен help по свойству Worker.result
+ [296723] Grid: для столбца таблицы добавлено JS-свойство "enablePaste" для управлению возможностью вставки из буфера обмена
- [297094] при выводе в теговый поток шрифта попадают неинициализированные неиспользуемые данные
- [296854] некорректно изменяется высота модальной формы из скрипта
- [296695] Help: добавлено описание опционального аргумента codepage функции createZipReader пакета FileSystem
- [282475] Справка: обновлено описание скриптового метода updateMarks
- [282478] Справка: метод saveMarks устарел и больше не должен использоваться, исправлена документация
- [295494] исправлена ошибка в диалоговом окне "Параметры pex-файла"
+ [296260] в истории узла открыты пункты меню для dsl преставления отчетов
- [295502] Формы: исправлена работа методов hide/show для toolbar
+ новые иконки
- [295609] пакет Text: исправлена работа метода binaryToBase64

--- 5.2.1225 --- 29.01.2026
- при сохранении контента узла кешировать также рантайм контент
- [295495] не изменяется размер модальной формы из скрипта при помощи form.width, произвольно увеличивается высота формы
+ [294709] обеспечение требований к паролям по длине (отдельно для пользователей, служебных поьзователей, администраторов)
           по настройке сложных паролей недолжно содержать имя пользователя, наличие букв в разныхрегистрах, цифр и спец символов
           не должно содержать трех и более подряд одинаковых символов или трех и более смежных символов клавиатуры(по горизонтали)
- [295507] пакет Mail: скорректирован help для свойства почтового сообщения "messageID" и метода "moveMessage" объекта Folder

--- 5.2.1224 --- 26.01.2026
+ [293799] поддержка dsl преставления серверного модуля
+ [294710] свойство узла Сервер Аутентификация/Ограничение неуспешных попыток подключений, время блокировки (минуты)
- [265758] отделять формы фрейма с разными значениями configKey
+ [294734] Справка: добавлены скриптовое свойство hyperLink и событие onControlClick
+ [295306] Возможность задать абсолютный путь к БД для встроенного агента (name=<embedded>)

--- 5.2.1223 --- 20.01.2026
- [294637] Формы: после отмены изменений в редакторе скрипта сохранялся неправильный текст скрипта
- [293665] Документ: исправлены ошибки в механизме поиска
+ [292179] Справка: добавлена возможность использования тонкого клиента для просмотра справки

--- 5.2.1222 --- 12.01.2025
+ [293243] Добавлены в справку описания скриптовых функций фрейма: sync, load, setParamValue, clearParamValues, setDatasourceValue, clearDatasourceValues
+ [293157] доработка функции Debug.normalizeDesignNodeContent для нормализации контента узла структура таблицы

--- 5.2.1221 --- 29.12.2025
- [293252] Формы: исправлена фокусировка в окне выбора иконок
+ [293680] Формы: для компонента "закладки" в режиме многострочности добавлена опция фиксации закладок (только дизайн)
+ [291444] Серверный пакет Mail: дополнен help и автодополнение
+ [290825] Формы: добавлен вариант выбора нового шрифта 'Lato'
- Дополнено описание в help свойства shapesCount для схемного контрола

--- 5.2.1220 --- 19.12.2025
- [293337] Исправлена ошибка, из-за которой иконки могли не загружаться
+ [293218] поддержка dsl преставления структуры таблицы
- [293207] Серверный пакет Mail: скорректировн help
+ Возвращен функционал изменения иконок в панели задач

--- 5.2.1219 --- 15.12.2025
- [293049] не выдавать ошибку на экран вовремя получения нормализованного представления формы с документом: Ошибка при загрузке библиотеки стилей 
- [292967] Формы: Календарь - изменены свойства в автодополнении
+ [292967] Help: Календарь - обновлена справка по компоненту
+ [292895] использование dsl поисков в модели данных  толстого  клиента
+ [292896] использование dsl поисков в дизайнерах модели данных и серверных модулях, а также во всех случаях не требующих редактирования контента поиска
- [292844] Формы: Календарь - наименования событий приведены к более понятному виду
- [289825] при загрузке поиска в дизайнере не проверяется тип создаваемого источника подченненого поиска

--- 5.2.1218 --- 04.12.2025
+ [290837] Формы: Календарь - добавлены поддержка стилей и новое свойство "Максимальное отображаемое количество событий"
+ [292711] функция normalizeContent для поисков
+ [292738] Отчеты XLSX: добавлено для формул свойство precalcValue
! Возвращено задание 83693 экспорт DXF, приводило к утечкам ресурсов

--- 5.2.1217 --- 02.12.2025
- [292710] в функции normalizeContent для форм не вызывается loaded у котнролов
+ [291323] В cl_requests.pas добавлена константа rqGetFormContent 

--- 5.2.1216 --- 28.11.2025
+ [292218] Формы: назначена иконка новому компоненту "Календарь"
+ [292221] Help: Календарь - обновлена справка по компоненту
! [291886] рефакторинг версионирования

--- 5.2.1215 --- 27.11.2025
+ [291993] Help: добавлена справка по новому компоненту "Календарь"
+ [290900] Формы: Календарь - добавлено событие onDragDrop
+ [292123] Схемы: help и автодополнение для js-метода "load"

--- 5.2.1214 --- 25.11.2025
+ [291960] Формы: добавлен новый компонент "Календарь", представление "Месяц"
+ [291702] Добавлена возможность просмотра времени изменения файла через редактор JavaScript
+ [280331] Формы: для компонента "вкладки" в режиме многострочности добавлена опция фиксации вкладок (только дизайн)
- [291597] Редактор скриптов: изменены цвета выделения скобок и текущего слова для светлой и темной темы
- [291658] Исправлено добавление лишнего слэша при использовании функции enumDirectory
- [291725] при вызове функции нормализации скриптового контента не показывать диагностические окна с ошибками, которые отображаются при открытии формы в дизайнере
- [291716] #fsert сообщение диагностики: INTEGER_OVERFLOW adt/adt_strings.cpp

--- 5.2.1213 --- 14.11.2025
- [291597] Редактор скриптов: изменены цвета формы сравнения версий для темной темы

--- 5.2.1212 --- 13.11.2025
+ [287241] Grid: help и автодополнение для js-метода "showText"

--- 5.2.1211 --- 12.11.2025
- [290098] Документ: доработан поиск текста при выделении текста: поиск начинается с начала выделения, а не с конца
+ [291141] cкриптовая функция для нормализации контента узла (формы) для тестов
+ [288212] Диаграммы: добавлено свойство авторасчет отступов меток

--- 5.2.1210 --- 23.102025
+ [290399] Отчеты: поддержка печати обновляемых QR-кодов
+ [280263] Help: справка "Рекомендации по совместимости с разными СУБД" дополнена примерами
- [290237] Отчеты: исправлена ошибка генерации отчета в формате docx с html-форматированием

--- 5.2.1209 --- 21.10.2025
+ [282319] Help: добавлены пояснения о том, как следует использовать Надпись и Поле при создании отчетов
+ [289917] в истории узла открыты пункты меню для dsl преставления поисков 
- [289360] Help: добавлено уточнение об устаревании конструкции условных блоков catch
- [289522] Help: добавлено описание, ранее не описанных свойств пакета "GlobalConsts"
- [289673] Формы: в окне редактирования роли или группы пользователей скрыт чекбокс о настройке служебного пользователя

--- 5.2.1208 --- 06.10.2025
- [287928] Отчеты: исправлена ошибка access violation при создании АСМО документов с объединенными ячейками 
+ [287528] Внешние файлы: скорректирован help и автодополнение для js-метода "signFileCades()
- [277457] Help: в раздел "Справка по миграции в тонкий клиент" добавлена информация о работе с параметрами запуска
- [288013] Help: добавлено "autosort" в указатель
- [288787] Схемы: изменено имя приложения на "АСМОграф"

--- 5.2.1207 --- 16.09.2025
- [288013] Help: добавлено описание свойства источника данных "autosort"
- [288096] Поиск: добавлена возможность "обтекания текста"

--- 5.2.1206 --- 08.09.2025
+ [287294] добавлена рефлексия по методу Pdf.clearStampLayer + справка
+ [287221] Схемы: автодополнение и help для JS-метода "createBinding"
- [280332] Grid: скорректировано условие отображения в редакторе свойств свойства "Справочник-Поле подстановки" столбца таблицы
- [272883] Help: добавлено описание свойств диаграммы типа "Разрезная кольцевая"
- [287420] Help: обновлёно описание функции "filterKey"

--- 5.2.1205 --- 19.08.2025
- [287131] исправлена ошибка "RangeError" при выборе параметров в форме

--- 5.2.1204 --- 15.08.2025
- [285923] исправлено отображение выбора параметра, привязанного к полю таблицы

--- 5.2.1203 --- 11.08.2025
- [284066] Неверная кодировка schemes.ini

--- 5.2.1202 --- 07.08.2025
+ [281066] Поиск: в редакторе полей расширенного поиска добавлен вывод подсказки для описания не отображаемого полностью поля
- [286315] Help: задокументирован метод caption для таблиц
- [286275] Отчеты: исправлен перевод свойства ячейки в таблице "Выравнивание по вертикали"

--- 5.2.1201 --- 06.08.2025
- [154590] Выбор записей формы: скрыты неиспользуемые свойства
- [285939] Help: задокументированы ранее не описанные в хелпе функции для пакета Metadata
+ [285903] Help: задокументирован новый метод схемы и скриптовый объект примитива
- [285937] добавлено автозаполнение для констант пакета Metadata
- [285903] Help: задокументирована расшифровка сокращения "ТК"
- [286314] добавлены недостающие автодополнения для констант пакета DataTypes 
- [286552] синхронизированны форматы внешних файлов с тонким клиентом

--- 5.2.1200 --- 31.07.2025
- [285998] некорретно передается имя пользователя с ключом авторизации через слэш при смене пароля

--- 5.2.1199 --- 30.07.2025
- [285828] Отчеты: добавлена справка по отличиям в объединении повторяющихся значений в ячейках таблиц

--- 5.2.1198 --- 29.07.2025
+ [284203] dsl при показе истории узла метаданных будет указываться тип контента

--- 5.2.1197 --- 28.07.2025
- [284205] dsl исправлена ошибка, которая отображала неизвестный запрос rq:574

--- 5.2.1196 --- 25.07.2025
+ [285691] Добавлен масштаб x4 в диалоговом окне Выбор картинки. Поле поиска показывается при наборе текста.
- [285567] Дополнено описание в help свойства selectedRecords
+ [284205] dsl добавлен новый тип запроса rqGetRuntimeNodeContent для запроса контента исторических узлов

--- 5.2.1195 --- 24.07.2025
+ [284046] Добавлены в help описания скриптовых свойств commonMarksMode, marksMode, keepMarks
+ [285439] Добавлено скриптовое свойство privateMode для компонента изображение, добавлено описание в help
- Исправлена неточность в help

--- 5.2.1194 --- 22.07.2025
- [284006] Отчеты: исправлена ошибка определения цвета при html-форматировании
- [284567] Help: дополнены свойства select, execute и compact для источника расчетного модуля
- [284846] Диаграммы: исправлено название серии градиентный столбец

--- 5.2.1193 --- 25.06.2025
+ [283751] Иконки
           Добавлена иконка №3968

--- 5.2.1192 --- 20.06.2025
- [283795] ошибка неправильный пользователь или пароль после обновлении клиента, если ключ авторизации не совпадает с именем пользователя
+ [283777] формирование и загрузка pex с учетом текстового представления, выдавать ошибки еслм версии сервера или клиента не подходящие
- временно отключен функционал изменения иконок в панели задач

--- 5.2.1191 --- 17.06.2025
+ [281595] Help: добавлен новый раздел "Справка по миграции в тонкий клиент"
+ [283601] Help: в web-запросах свойство request.location

--- 5.2.1190 --- 09.06.2025
- [283483] Исправлено автодополнение функции formUrlEncodedStringOf пакета Text

--- 5.2.1189 --- 04.06.2025
- [282877] Формы
          - Для надписей и полей ввода добавлено JS-свойство «TextStyle».
          - Для надписей добавлен вызов «onGetData» при открытии формы.
          - Исправлена ошибка, при которой JS-свойство «font.style» не работало.
- [281531] сплиттер в вертикальной компоновке не изменеят свое полежение при первом таскании 

--- 5.2.1188 --- 03.06.2025
- [282255] при загрузке пекса с опцией только данные, не создавть пустые отсутвующие узлы
- [282721] Запрос: assert при вызове окна свойств редактора SQL
+ [283213] Документ: добавлено отображение выделенных слов в диалоге поиска и замены текста

--- 5.2.1187 --- 29.05.2025
- [282937] Редактор: удалено отображение вертикальной линии-маркера (правая граница 80 символов текста)
+ [282880] Схемы: Импорт DWG/DXF - обновление библиотеки CAD VCL до версии 16.0 #61153

--- 5.2.1186 --- 28.05.2025
+ обновлён help

--- 5.2.1185 --- 28.05.2025
+ новые иконки
- [269718] некорректно менятся пароль при требовании смене пароля при следющем входе
+ [282681] Help: в раздел "Серии" добавлены новые пункты:
		- заголовки
		- подсказки

--- 5.2.1184 --- 26.05.2025
- [282793] Help: в раздел "Серии" добавлены новые пункты 

--- 5.2.1183 --- 21.05.2025
+ [282312] Схемы: событие onSchemeClose

--- 5.2.1182 --- 20.05.2025
+ новые иконки
- [281593] Help: в раздел "Что нового" добавлены новые пункты

--- 5.2.1181 --- 15.05.2025
+ [281593] Help: обновлен раздел "Что нового"

--- 5.2.1180 --- 12.05.2025
- [281533] Схемы: отменены правки по новой структуре графического редактора
+ новые иконки

--- 5.2.1179 --- 29.04.2025
+ [280030] Автодополнение и help для js-функции "convertAvesTo" серверного пакета Graphics

--- 5.2.1178 --- 28.04.2025
+ [278119] Стили: Полосы прокрутки - Изменения
           - Добавлено новое свойство - «Иконка кнопок»
           - Добавлены свойства отступа кнопок:
             - «Отступ кнопок сверху и снизу от границ полосы прокрутки»
             - «Отступ кнопок слева и справа от границ полосы прокрутки»
           - Добавлены свойства отступа слайдера:
             - «Отступ слайдера от кнопок»
             - «Отступ слайдера сверху и снизу от границ полосы прокрутки»
             - «Отступ слайдера слева и справа от границ полосы прокрутки»
+ [279455] Стили: Полосы прокрутки - Изменения
           - Добавлено новое свойство - «Поведение ползунка»
+ [264278] предача клиенсткого часового пояса на сервер
+ [279947] Добавлено масштабирование иконок в форме выбора
+ обновление иконок

--- 5.2.1177 --- 24.04.2025
+ обновление иконок

--- 5.2.1176 --- 23.04.2025
- [265206] Исправлена ошибка в help в разделе CallableStatement
- [273908] Не возможно создавать несколько стилей по умолчанию для одного контрола
+ новая иконка 1092 Диаграмма Ганта
+ [281097] в истории узла показ и сравнение текстового представления узла формы
- [281092] Help: доработка справки для диаграммы Ганта

--- 5.2.1175 --- 21.04.2025
+ [276658] Обновлен help для методов схемы 'importScheme', 'exportScheme' и 'exportToBinary'. Обновлено автодополнение для 'importScheme' и 'exportScheme'.
- [260031] Исправлена ошибка настройки прав доступа

--- 5.2.1174 --- 17.04.2025
- [280989] AccessViolation exchange.dll во время импорта pex

--- 5.2.1173 --- 16.04.2025
+ [280792] Стили: Надписи - изменения
           - Добавлена настройка внутренних отступов надписи
+ новые иконки

--- 5.2.1172 --- 11.04.2025
+ новые иконки
- [279125] справка: добавлен раздел по отличиям источников данных в тонком и толстом клиентах

--- 5.2.1171 --- 09.04.2025
+ новые иконки
+ исправлены иконки

--- 5.2.1170 --- 07.04.2025
+ [280349] В дизайнере добавлено свойство "Индикатор меню" для кнопки "Навигатора данных"

--- 5.2.1169 --- 04.04.2025
+ [280346] JavaScript: исправлние help
           - Исправлено отображение информации о функции edit объекта Схема
           - Добавлено примечание к описанию функции selectFolder пакета Dialogs

--- 5.2.1168 --- 03.04.2025
+ [278139] JavaScript: в пакет Session добавлено свойство isCurrentUserAnonymous

--- 5.2.1167 --- 01.04.2025
+ [280032] Добавлено свойство "Отступы внутри заголовка" в настройке стилей для Таблицы.

--- 5.2.1166 --- 28.03.2025
- [279948] Access violation при попытке создания узла если нет доступа
- [279889] Перенесены следующие методы и функции visibleExtButton, hide(), show() в новый раздел справки toolbar
+ [272976] Добавлено свойство "Отступы внутри заголовка" в настройке стилей для дерева.
- исправлены иконки

--- 5.2.1165 --- 20.03.2025
+ [279386, 279269] Добавлены в help следующие методы и свойства: toolbar->visibleExtButton, toolbar->hide(), toolbar->show(), исправлено описание popup
 

--- 5.2.1164 --- 17.03.2025
- исправлены иконки
- новые иконки 3943, 3944, 3945, 3946, 3947, 3948, 3949, 3950, 3951, 3952, 3952

--- 5.2.1163 --- 06.03.2025
+ Добавлена иконка QR кода

--- 5.2.1162 --- 04.03.2025
+ [271142] Отчеты xlsx: добавлена поддержка постпроцессинга, обновлен help
- [277414] Диаграммы: исправлен Access Violation при закрытии вкладки

--- 5.2.1161 --- 03.03.2025
- [278222] Grid: дополнен help по js-свойству "extPopupMenu'
+ [278328] Добавлен скриптовый метод clearAction для кнопки навигатора данных

--- 5.2.1160 --- 27.02.2025
- [278244] форма не запускается из-за непрвавильного типа узла поиска в источнике

--- 5.2.1159 --- 25.02.2025
- [278003] Исправлено зависание окна входа в случае если в поле сервер указан порт и выбирается показ агентов в выпадающем списке.
- [277779] Параметры: в инспекторе объектов для 'Элемента формы' 'Формы выбора' реализовано отображение заголовков и скриптовых имен компонентов формы
- [277261] GridColumn: N51690 - автодополнение для js-свойств 'onCanModify','onChange','onGetData','onGetEditText','onHint','onNext','onSelected','onSetEditText','onValidate'
+ Обновлены иконки стилей

--- 5.2.1158 --- 12.02.2025
- [275791] Поиск: скорректирована индикация иконкой для справочников в панели источников данных при отсутствии справочных полей в вышестоящем источнике
- исправлены иконки

--- 5.2.1157 --- 11.02.2025
- [277423] Исправлена кодировка schemes.ini

--- 5.2.1156 --- 10.02.2025
- [271452] Отчеты ods: исправлена критическая ошибка, которая могла возникать при печати дерева
+ [270935] Отчеты: добавлена возможность начать нумерацию страниц с конкретного листа для форматов docx, odt и pdf v1, v2
- исправлены иконки

--- 5.2.1155 --- 28.01.2025
+ [276598] Формы: в дизайнере поисков для запуска добавлена горячая клавиша F9
+ [270934] Отчеты xlsx: добавлена возможность задать лист книги, который будет открываться по умолчанию
- [276364] в дереве данных не срабатывают события ячейки onSelect при изменении столбца
+ [271135] Отчеты xlsx: добавлена возможность скрывать листы
- [272014] Обновлен help для оператора for ... in и свойства таблицы selectedRecords
- [274411] Праметры: Исправления
           - Исправлена некорректная обработка комбинации клавиш Ctrl+G,
             при которой вместо редактирования значения параметра открывался диалог перехода на строку/позицию для следующих объектов:
             • web-запросы
             • SOAP
- [271203] Отчеты ods: исправлена ошибка печати
-[273242] Диаграммы: для круговых диаграмм добавлено свойство изменяющее начальный угол
+ [274926] Пакет TextDocuments:обновлен help для добавления содержимого в параграф 
+ Документация - Схемы: дополнена документация для метода importScheme. Добавлена документация для методов pageCount, pageName и свойства activePage
+ Автодополнение для методов importScheme, pageCount, pageName и свойства activePage
+ [272295] Формы: Добавлена возможность настраивать список пунктов у кнопки типа "Уровни дерева"

--- 5.2.1154 --- 27.12.2024
+ [274048] Стили: Таблицы - изменения
           - Для таблицы добавлено новое свойство - «Шрифт заголовка»
           - Добавлено наследование шрифта заголовка как для стилей таблиц, так и для стилей колонок таблиц
           - Для стиля таблиц добавлена группировка свойств обычных ячеек и ячеек заголовка
+ [274227] Стили: Таблицы - изменения
           - Для столбцов таблицы добавлено новое свойство - «Шрифт заголовка»

--- 5.2.1153 --- 27.12.2024
+ [274922] Пакет TextDocuments: обновлен help
+ Обновлены иконки

--- 5.2.1152 --- 24.12.2024
- [274482] use-after-free при перезагрузке в дизайнере запросов
+ [274480] Пакет TextDocuments: обновлен help для работы с OdtTable

--- 5.2.1151 --- 20.12.2024
+ [269528] Пакет Browser: автодополнение для методов executeScript и executeEvent
+ [274366] Пакет TextDocuments: обновлен help для работы с Odt-документами

--- 5.2.1150 --- 17.12.2024
+ [273807] Пакет TextDocuments: Добавлен help для функционала объединения ячеек таблицы
- [274069] Диаграммы добавлены свойства для серии линия исправлены warning
! [274131] Окно ожидания: исправлена работа окна в цепочке фреймов

--- 5.2.1149 --- 13.12.2024
+ [269528] Формы: поле instanceID - документация
	   JS пакет Browser: методы executeScript и executeEvent - документация
+ [273805] Пакет TextDocuments: Добавлен help для таблиц, обновлен help для документа
- [273405] Диаграммы доработаны свойства вертикальных столбцов цвета легенды
+ [273806] Пакет TextDocuments: Добавлен help для функционала добавления строк и столбцов в таблицу

--- 5.2.1148 --- 10.12.2024
- [253454] Grid: при изменении ширины столбца не учитывалось свойство "Запрет изменения ширины"
- [270669] Grid: исправлен расчет итоговой функции "Среднее арифметическое"
+ [273808] Пакет TextDocuments: Добавлены help для стилей, шрифта и параграфа

--- 5.2.1147 --- в разработке
- Исправлены иконки

--- 5.2.1146 --- 05.12.2024
- [273854] Пакет Xml: в help добавлен метод hasAttr
+ Новые иконки
+ [272658] Формы: Добавлено свойство шрифт заголовка столбца дерева

--- 5.2.1145 --- 05.12.2024
+ Обновление иконок

--- 5.2.1144 --- 03.12.2024
+ Обновление иконок

--- 5.2.1143 --- 02.12.2024
+ [273303] Добавлен help Обработка событий, обновлен help для Формы: добавлены свойства form и module 
+ [273598] Отчеты: обращение к именованным объектам в ячейках таблиц по имени напрямую
+ [273674] В узле сервер добавлены в меню пункты создания таблиц каналов репликации и узлов приема

--- 5.2.1142 --- 02.12.2024
+ [273428] Настройка таблиц для репликации в узле сервер

--- 5.2.1141 --- 29.11.2024
+ Обновление иконок

--- 5.2.1140 --- 28.11.2024
- [273473] определены диапазоны номеров тегов стилей

--- 5.2.1139 --- 27.11.2024
- [268032] при добавление записи в источник с активным клиентским фильтром данных она не попадает в фильтруемую выборку

--- 5.2.1138 --- 22.11.2024
+ [272624, 272605] Серверный пакет TextDocuments: Добавлен help для серверного пакета TextDocuments

--- 5.2.1137 --- 12.11.2024
- [272701] диагностика вызова из скрипта обновления истоника с полной загрузкой
+ обновление иконок
- [271875] #re Документ: добавлен механизм смещения картинок через стили

--- 5.2.1136 --- 08.11.2024
- [272494] Отчеты docx: исправлена обработка нулевого отступа после таблицы
- [272573] Отчеты xlsx: исправлена обработка выражений Excel 

--- 5.2.1135 --- 07.11.2024
+ [254767] Пакет Replications: обновлен help с использованием свойства "warnings"
- новые иконки 3312, 9244, 9245, 9246, 9247, 9248б 9249
+ [260712] Отчеты xlsx: добавлено свойство "Пометить, как окончательный"
- [260710] Отчеты xlsx: исправлена работа свойства "Защитить отчет"

--- 5.2.1134 --- 02.11.2024
- [272200] Стили: Кнопки - добавлены новые свойства стиля:
           Цвет текста в фокусе
- добавлены новые иконки для асмографа
- [272287] Диаграммы добавлен метод  selectedSeriesBorderColor
- [272446] Диаграммы Рефакторинг имен
+ Обновление иконок

--- 5.2.1133 --- 31.10.2024
- [271904] Отчеты: сообщение о слишком большом количестве строк теперь появляется перед построением отчета
+ [271957] Модель данных: добавлена настройка свойства "Загрузка данных/Постепенная загрузка данных"

--- 5.2.1132 --- 28.10.2024
+ Обновление иконок
-[271965] Диаграмма пончиком - возможность задать скриптом и в инспекторе обьекта цвет обводки при наведении на сектор 

--- 5.2.1131 --- 24.10.2024
- [271045] Документ: расширен набор тегов (только для совместимости с тонким клиентом)
+ [271915] Модель данных: добавлена настройка свойства "Загрузка данных/Сжатие результатов запросов"
+ [271957] Модель данных: добавлена настройка свойства "Загрузка данных/Размер чанка"
